com.sun.mail.gimap

## Class GmailThrIdTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - com.sun.mail.gimap.GmailThrIdTerm

- All Implemented Interfaces:
    Serializable

      public final class GmailThrIdTerm
      extends SearchTerm

  This class implements searching for the Gmail thread ID.
  Since:
    JavaMail 1.4.6
  Author:
    Bill Shannon
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `number` The number.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GmailThrIdTerm(long thrId)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Equality comparison.
    `long` | `getNumber()` Return the number to compare with.
    `int` | `hashCode()` Compute a hashCode for this object.
    `protected boolean` | `match(long i)`
    `boolean` | `match(Message msg)` The match method.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### number

          protected long number

      The number.

  - ### Constructor Detail

    - #### GmailThrIdTerm

          public GmailThrIdTerm(long thrId)

      Constructor.
      Parameters:
        `thrId` - the thread ID

  - ### Method Detail

    - #### match

          public boolean match(Message msg)

      The match method.
      Specified by:
        `match` in class `SearchTerm`
      Parameters:
        `msg` - the Message number is matched with this Message
      Returns:
        true if the match succeeds, otherwise false

    - #### equals

          public boolean equals(Object obj)

      Equality comparison.
      Parameters:
        `obj` - the object to compare with
      Returns:
        true if equal

    - #### getNumber

          public long getNumber()

      Return the number to compare with.
      Returns:
        the number

    - #### match

          protected boolean match(long i)

    - #### hashCode

          public int hashCode()

      Compute a hashCode for this object.
      Overrides:
        `hashCode` in class `Object`

Copyright © 2016 Oracle. All rights reserved.